using UnityEngine;
using System.Collections;

public class PlayerProgressionDisplay : MonoBehaviour {

	enum GameStates {EnterScreen=1,MainSearch, GamePause, GameWonned,GameLost}
	public int gameMode;
	public Rect rectScore, rectTime, rectCongrat;
	public int heartsCollected;
	private int heartsTotal=8;
	public float timeElapsed;
	private const int brideFrames=4;
	private const float maxTime=200;
	public GUITexture brideScreen;
	public Texture2D[] brideArray;
	public Font scoreFont;
	public int brideIndex;
	public string scoreString;
	public GUITexture menuScreen;
	public bool isPaused = false;
	
	private string congratString = "You WON!-> Game developed for Global Game Jam 2013 by David Suarez dslghost@gmail.com, Freddy Barrios hagane3d@gmail.com, Victor Suniaga juniusaga@yahoo.com and Julia Suniaga jsm1409@gmail.com";
	private string loserString = "   You lose. Try Again?-> Game developed for Global Game Jam 2013 by David Suarez dslghost@gmail.com, Freddy Barrios hagane3d@gmail.com, Victor Suniaga juniusaga@yahoo.com and Julia Suniaga jsm1409@gmail.com";
	
	// Use this for initialization

	
	void HeartHit(){
		heartsCollected++;
		if(heartsCollected>=heartsTotal)
			gameMode=(int)GameStates.GameWonned;
		//Audio
		//Corrutina ganar con delay
		//WinScreen


	}
	

	

	// Use this for initialization
	void Start () {
		
		rectScore = new Rect(90,10,30,20);
		rectTime = new Rect(900,10,45,20);
		rectCongrat = new Rect(500,400,300,100);
		
		menuScreen.enabled = false;
		
		gameMode=(int)GameStates.MainSearch;
		
		heartsCollected = 0;
		timeElapsed = 0;
		brideIndex = 0;

	}
	
	// Update is called once per frame
	void Update () {
		int brideMarker;
		timeElapsed += Time.deltaTime;
 		if (timeElapsed<maxTime)
		{
			brideMarker=Mathf.FloorToInt(brideFrames*timeElapsed/maxTime);
		}
		else
			brideMarker=brideFrames-1;
		if(brideIndex!=brideMarker)
		{
			brideIndex=brideMarker;
			brideScreen.texture=brideArray[brideMarker];
		}
		scoreString = heartsCollected.ToString()+"/"+heartsTotal;
		
		if (Input.GetKeyDown ("escape") && !isPaused){
			print ("paused");
			Time.timeScale = 0.0f;
			isPaused = true;
			menuScreen.enabled = true;
		}
		else if (Input.GetKeyDown ("escape") && isPaused){
			Time.timeScale = 1.0f;
			isPaused = false;
			menuScreen.enabled = false;
		}
	}
	
	void Lost() {
		gameMode=(int)GameStates.GameLost;
		//print("LOSSSSSSSTTTTTTTT");
	}
	
	void OnGUI() {
		if(gameMode == (int)GameStates.MainSearch){
			GUI.TextField(rectScore,scoreString,25);
			GUI.TextField(rectTime,Mathf.Max(0,(int)(maxTime-timeElapsed)).ToString() ,25);
		}
		if(gameMode == (int)GameStates.GameWonned){
			menuScreen.enabled = true;
			GUI.TextField(rectCongrat,congratString,35);
		    Time.timeScale = 0.0f;
			if(GUI.Button (new Rect (300,230,200,20), "Restart")){
			   Application.LoadLevel("ElGranDIaHall");
               Time.timeScale = 1.0f;
               isPaused = false;
			   menuScreen.enabled = false;
		    }
			if(GUI.Button (new Rect (300,260,200,20), "Quit")){
			   Application.Quit();
		    }
	    }
		
		if(gameMode == (int)GameStates.GameLost){
			menuScreen.enabled = true;
			GUI.TextField(rectCongrat,loserString,35);
		    Time.timeScale = 0.0f;
			if(GUI.Button (new Rect (300,230,200,20), "Restart")){
			   Application.LoadLevel("ElGranDIaHall");
               Time.timeScale = 1.0f;
               isPaused = false;
			   menuScreen.enabled = false;
		    }
			if(GUI.Button (new Rect (300,260,200,20), "Quit")){
			   Application.Quit();
		    }
	    }
		
		if (isPaused){
			if(GUI.Button (new Rect (300,230,200,20), "Continue")){
			   Time.timeScale = 1.0f;
               isPaused = false;
			   menuScreen.enabled = false;
		    }
			if(GUI.Button (new Rect (300,260,200,20), "Restart")){
			   Application.LoadLevel("ElGranDIaHall");
               Time.timeScale = 1.0f;
               isPaused = false;
			   menuScreen.enabled = false;	
		    }
			if(GUI.Button (new Rect (300,290,200,20), "Quit")){
			   Application.Quit();
		    }
		
		}
			
		}
	
}